CSPS Digital Academy/Virtual Expo Browser Compatibility

From wiki
Jump to: navigation, search

If you received an error message stating that your web browser does not support the virtual Expo or Kiosk, then this indicates that your computer is unable to display our content in your browser.

How to fix this

  • Change browsers - Make sure you are using one of the browsers listed in the list of “Supported Browsers” below.
  • Update your browser - Make sure you are using the latest version of your browser. You can find out what version is required by looking at the list of “Supported Browsers” below.

Additional information on How to update my web Browser (external link).

Browser compatibility chart

Supported browsers:

Not supported browser:

  • Safari (compatible but disabled by Apple)
  • iOS / Android (not touch compatible)
  • Edge v12 to v18 (pre-chromium update)
  • Internet Explorer (all versions)